# Generated from xfabricator-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name xfabricator

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Generate file templates and add them to XCode project
License: MIT
URL: https://github.com/nicholascross/xfabricator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(xcodeproj) >= 1.4
# BuildRequires: rubygem(xcodeproj) < 2
# BuildRequires: rubygem(mustache) >= 1.0
# BuildRequires: rubygem(mustache) < 2
# BuildRequires: rubygem(inquirer)
# BuildRequires: rubygem(inquirer) < 1
# BuildRequires: rubygem(active_support) >= 3.2
# BuildRequires: rubygem(active_support) < 4
BuildArch: noarch

%description
Generate file templates and add them to XCode project...


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/xfabricate
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/xfabricator.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.1.0-1
- Initial package
